Bug 98298 - smbclient segfaults during mput
smbclient segfaults during mput
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-30 13:09 EDT by Alexey Toptygin
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Toptygin 2003-06-30 13:09:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
a segfault occurs when doing an mput, uploading about 70 large files to a win2k
server. ( the contents of updates.redhat.com/9/en/os/i386 are what I was
uploading from a freshly built and updated box when I first noticed the problem.
the same files were used for all subsequent tests )

the win2k server is a domain master, the linux box is not in the domain.
I was manually specifying the ip addr with -I because the server broadcasts both
it's lan ip and it's outside world ip on the lan interface, and the outside
world ip is not reachable from our lan due to firewalling.

gdb gives this:
Program received signal SIGSEGV, Segmentation fault.
0x080504cc in chroot ()
(gdb) bt
#0  0x080504cc in chroot ()
#1  0x00000000 in ?? ()

Version-Release number of selected component (if applicable):
samba-client-2.2.7a-8.9.0.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. smbclient //server/share -Wdomain -Uuser -Iipaddr
2. Password:
3. cd target\directory
4. prompt
5. mput *.rpm
    

Actual Results:  smbclient segfaults, usually after all the files have been uploaded

Expected Results:  smbclient uploads the files and doesn't segfault

Additional info:
Comment 1 Bill Nottingham 2006-08-05 01:12:16 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 14:12:15 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.